> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Key Limits



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/api-keys/{key_id}/limits
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/api-keys/{key_id}/limits:
    patch:
      tags:
        - API keys
      summary: Patch Key Limits
      operationId: apps_keys_api_patch_key_limits
      parameters:
        - in: path
          name: key_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Key Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KeyLimit'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeyLimitOut'
          description: OK
      security:
        - UserSessionAuth: []
components:
  schemas:
    KeyLimit:
      properties:
        rate_limit_rpm:
          anyOf:
            - minimum: 0
              type: integer
            - type: 'null'
          title: Rate Limit Rpm
      title: KeyLimit
      type: object
    KeyLimitOut:
      properties:
        id:
          title: Id
          type: string
        rate_limit_rpm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rate Limit Rpm
      required:
        - id
        - rate_limit_rpm
      title: KeyLimitOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.